unit uEditorInstaladores;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uEditorContactos, uViewGridBase, uViewGrid, uViewContactos,
  uViewInstaladores, Menus, DB, uDADataTable, JvAppStorage,
  JvAppRegistryStorage, JvComponentBase, JvFormPlacement, ImgList, PngImageList,
  StdActns, ActnList, uCustomView, uViewBase, uViewBarraSeleccion, ComCtrls,
  TB2ExtItems, TBXExtItems, TBX, TB2Item, TB2Dock, TB2Toolbar, ExtCtrls,
  JvExControls, JvComponent, JvNavigationPane,

  uIEditorInstaladores, pngimage, TBXStatusBars, JvExComCtrls, JvStatusBar;

type
  TfEditorInstaladores = class(TfEditorContactos, IEditorInstaladores)
    frViewInstaladores1: TfrViewInstaladores;
  protected
    procedure EliminarInterno; override;
  public
    constructor Create(AOwner: TComponent); override;
    procedure PonerTitulos(const ATitulo: string = ''); override;
  end;

implementation

uses
  uEditorGridBase, uDataModuleUsuarios;

{$R *.dfm}

{ TfEditorInstaladores }

constructor TfEditorInstaladores.Create(AOwner: TComponent);
begin
  inherited;
  ViewGrid := frViewInstaladores1;
end;

procedure TfEditorInstaladores.EliminarInterno;
begin
  if (Application.MessageBox('¿Desea borrar este instalador?', 'Atención', MB_YESNO) = IDYES) then
    inherited;
end;

procedure TfEditorInstaladores.PonerTitulos(const ATitulo: string);
var
  FTitulo : String;
begin
  FTitulo := 'Lista de instaladores - ' + dmUsuarios.EmpresaActual.NOMBRE;
  inherited PonerTitulos(FTitulo);
end;

end.
